Floating point spin box values cannot be changed when using localized QGIS

2018-02-23 01:20 PM - Giovanni Manghi

Status: Closed

Priority: High

Assignee: Victor Olaya

Category: GUI

Affected QGIS version:3.0.0 Regression?: Yes

Operating System: windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 26079

Description

New description:

OS: Windows 10 English

QGIS 2.18.16 and 3 (master) installed with OSGeo4W.

QGIS/Processing is tested with the default locale (EN) and overriding the default locale with (for example) PT_PT.

In QGIS 2.18.16 with the EN or PT_PT locale the parameter "cellsize" is presented with the "." as separator, and changing the value

present no issues.

In QGIS 3/master the above only happens with the default EN locale. With the PT_PT locale the decimal separator is "," and when

changing the value it reverts to "100,000000" when shifting the mouse focus. If manually the user enter a value with "." as a separator then

the new value stick, despite the the separator being changed again to "," when changing the focus.

Old description:

When a module has the "cellsize" parameter the user can change the value, but as soon the mouse focus changes the value immediately

is reverted to the default one, 100.

History

#1 - 2018-02-24 10:30 PM - Salvatore Larosa

Which OS?

I cannot reproduce on OSX.

#2 - 2018-02-25 12:38 AM - Nyall Dawson

- Status changed from Open to Feedback

I think this is a locale issue - try using the other of dot or comma instead of the dot or comma you're using at the moment.

#3 - 2018-02-25 09:07 PM - Giovanni Manghi

- Operating System set to windows

- Subject changed from QGIS 3: SAGA "cellsize" value cannot be changed to QGIS 3: SAGA numerica parmaters (like "cellsize" or "search radius") 

values cannot be changed when using localized QGIS

- Description updated

- Status changed from Feedback to Open
#4 - 2018-02-25 09:08 PM - Giovanni Manghi

Nyall Dawson wrote:

I think this is a locale issue - try using the other of dot or comma instead of the dot or comma you're using at the moment.

Hi Nyall, I updated the description.

#5 - 2018-02-25 09:08 PM - Giovanni Manghi

Salvatore Larosa wrote:

Which OS?

I cannot reproduce on OSX.

See updated description.

#6 - 2018-03-01 12:32 PM - Giovanni Manghi

- Subject changed from QGIS 3: SAGA numerica parmaters (like "cellsize" or "search radius") values cannot be changed when using localized QGIS to 

QGIS 3: SAGA numerical parmaters (like "cellsize" or "search radius") values cannot be changed when using localized QGIS

#7 - 2018-05-16 06:09 PM - Alexander Bruy

Seems already fixed in master.

As workaround you can open expression editor using "..." button on the right from the field and enter value in the editor.

#8 - 2018-06-04 07:05 AM - Nyall Dawson

- Subject changed from QGIS 3: SAGA numerical parmaters (like "cellsize" or "search radius") values cannot be changed when using localized QGIS to 

Floating point spin box values cannot be changed when using localized QGIS

- Category changed from Processing/SAGA to GUI

#9 - 2018-12-27 10:18 AM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Open to Closed
